Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.CertificateSecurityHandler Class Reference
Inheritance diagram for FoxitPDFSDKPython3.CertificateSecurityHandler:

## Public Member Functions
def | CertificateSecurityHandler ()
| Constructor.
def | CertificateSecurityHandler (other)
| Constructor, with parent class object. More...
def | Initialize (encrypt_data, encrypt_key)
| Initialize current certificate security handler. More...
Public Member Functions inherited from FoxitPDFSDKPython3.SecurityHandler
def | SecurityHandler ()
| Constructor.
def | SecurityHandler (other)
| Constructor, with another security handler object. More...
def | GetSecurityType ()
| Get the encryption type of current security handler. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Additional Inherited Members
Static Public Attributes inherited from FoxitPDFSDKPython3.SecurityHandler
| e_CipherAES = _fsdk.SecurityHandler_e_CipherAES
| Use AES encryption algorithm, with the key length be 16 bytes (as AES-128) or 32 bytes (as AES-256, only supported in PDF 2.0).
| e_CipherNone = _fsdk.SecurityHandler_e_CipherNone
| Not use encryption algorithm.
| e_CipherRC4 = _fsdk.SecurityHandler_e_CipherRC4
| Use RC4 encryption algorithm, with the key length between 5 bytes and 16 bytes.

## Detailed Description

This class represents a certificate security handler, used for certificate encryption.

See also
  SecurityHandler

## Constructor & Destructor Documentation

## ◆ CertificateSecurityHandler()

def FoxitPDFSDKPython3.CertificateSecurityHandler.CertificateSecurityHandler | ( |  | other | ) |

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

## Member Function Documentation

## ◆ Initialize()

def FoxitPDFSDKPython3.CertificateSecurityHandler.Initialize | ( |  | encrypt_data,
|  |  | encrypt_key
| ) |  |

Initialize current certificate security handler.

Parameters

  [in] | encrypt_data | A certificate encrypt data object. In the encryption data, cipher type should not be FoxitPDFSDKPython3.SecurityHandler.e_CipherNone .
  [in] | encrypt_key | The key for encryption. For FoxitPDFSDKPython3.SecurityHandler.e_CipherRC4 cipher, the length of encryption key should be between 5 and 16. For FoxitPDFSDKPython3.SecurityHandler.e_CipherAES cipher, the length of encryption key should be 16 or 32.

Returns
  true means success, while false means failure.